import java.io.PrintStream;

public class L16App1 {
	public static void main(String[] args) {
		PrintStream output = System.out;
		char c1 = '\u004A';
		char c2 = 74; // 75 is the decimal version of hexadecimal 0041, 74 =
						// 4*16^1 + 10*16^0;
		char c3 = 'J';
		output.println((int) c1);
		output.println(c1);
		output.println(c2);
		output.println(c3);

		// here are some printable characters that are not part of the standard
		// keyboard
		// they are from the "Latin-1 Supplement" that is an additional chart to
		// the "Latin" code chart discussed on slide 4 of the lecture 16 (and
		// also that is reproduced in Appendix A)
		// http://www.unicode.org/charts/PDF/U0080.pdf
		// but caution - the Eclipse console cannot print every single one of
		// the unicode characters (such as c7 below, which is a cyrillic
		// character and cannot be printed as-is - it shows up as a '?')
		char c4 = '\u00A5';
		char c5 = '\u00A7';
		char c6 = '\u00AE';
		char c7 = '\u0416';
		output.println(c4);
		output.println(c5);
		output.println(c6);
		output.println(c7);

	}
}
